<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package collon
 */

?>
<?php get_template_part( 'template-parts/footer/footer-widgets'); ?>

<footer id="colophon" class="site-footer">
<a href="#masthead"><img id="scl" class="scroll-to-top" src="<?php echo esc_url( get_template_directory_uri(). '/img/arrow-up-icon.png');?>" alt="<?php printf( esc_attr__( '%s Icon', 'collon'), 'collon' ); ?>" /></a>
		<div class="container">
			<div class="row">
				<div id="copy-info" class="col-md-5">
					<p class=""><?php echo esc_html( get_theme_mod('collon_copyright_set' )); ?></p>
					<p class="mr-2"><?php _e('Powered by ', 'collon'); ?><a class="text-center mb-2" href="<?php echo esc_url( 'https://vicky.dev/collon/'); ?>"><?php _e('collon', 'collon'); ?></a></p>
				</div>
				
				<div class="site-info col-md-7">
					<div class="footer-menu-wrapper">
					<?php
						wp_nav_menu(
							array(
								'theme_location' => 'footer-menu',
								'menu_id'        => 'footer-menu',
							)
						);
						wp_nav_menu(
							array(
								'theme_location' => 'optional-footer-menu',
								'menu_id'        => 'Additional Menu-menu',
							)
						);

						?>
					</div>
				</div>
				
			</div><!--row-->
		</div><!--container-->
	</footer><!-- #colophon -->
	
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
