<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package collon
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'collon' ); ?></a>
<?php if(has_nav_menu('social-menu')):?>
	<div class="social-menu-wrapper">
		<div class="social-menu">
	<?php
			wp_nav_menu(
				array(
				'theme_location' => 'social-menu',
					'menu_id'        => 'social-menu',
					  )
					);
						?>
						<p class=""><?php echo esc_html( get_theme_mod('collon-social-message' )); ?></p>
						</div><!--social-menu--->
								<div class="search-bar">
								   <?php get_search_form(); ?>
								</div>				
	</div><!--social-menu-wrapper-->
	<?php endif;?>

	<header id="masthead" class="site-header">
		<div class="top-bar container">
		<div class="site-branding">
			<?php
			the_custom_logo();
			if ( is_front_page() && is_home() ) :
				?>
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<?php
			else :
				?>
				<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
				<?php
			endif;
			$collon_description = get_bloginfo( 'description', 'display' );
			if ( $collon_description || is_customize_preview() ) :
				?>
				<p class="site-description"><?php echo $collon_description; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></p>
			<?php endif; ?>
		

		</div><!-- .site-branding -->

		<nav id="site-navigation" class="main-navigation">
			<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false">
			<img id="scl" src="<?php echo esc_url( get_template_directory_uri(). '/img/menu-icon.png');?>" alt="<?php printf( esc_attr__( '%s Icon', 'collon'), 'collon' ); ?>" /></button>
		</button>
			<?php
			wp_nav_menu(
				array(
					'theme_location' => 'menu-1',
					'menu_id'        => 'primary-menu',
				)
			);
			?>
		</nav><!-- #site-navigation -->
		</div><!--top-bar-->
	</header><!-- #masthead -->
