<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package collon
 */

	get_header();?>
	<!-- featured posts -->
	
	
     <div class="container">
		<?php
		
	   $featured_selected_cat   = $category = get_theme_mod('collon_sel_category_post');?>
		   <?php
		 
			if ( $featured_selected_cat && $category) : ?>
				<div class="col-md-12 featured-area-header">
					<h3>
						<span><?php echo esc_html( $category ); ?></span>
					</h3>
				</div>
				<?php endif;?>
				
	<?php

	if (get_theme_mod('collon_enable_featured_post', true) == true) :
		$args = array(
			'posts_per_page'  => '3',
			'posts_type'      => 'posts',
	        'category_name'   =>  $featured_selected_cat
			);
			$my_collon_query = new WP_Query($args);?>
			
		<?php
		if ($my_collon_query->have_posts()):?>
		<div class="row custom-loop">
		
		 <?php
		while($my_collon_query->have_posts()): 
		$my_collon_query->the_post(); ?>
		<div class="col-md-4">
			<h3>
				<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
			</h3>
			<p class="details"><a href="<?php the_author_posts() ?>"><?php the_author(); ?> </a> 
			<?php echo get_the_date('F j, Y'); ?><?php the_category(', '); ?></p>
		
			<?php if (has_post_thumbnail()) : ?>
				<figure> 
					<a href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail(); ?></a> 
				</figure>
			<?php endif; ?>

		</div><!--col-md-4-->
		
		<?php
		endwhile;
	 else:
		endif;
		
		endif?>
</div><!--row--->
</div><!---container--->

   <div class="container">
	<div class="row">
		<?php
	$sidebar = get_theme_mod('collon_sidebar_set', 'right');
	if($sidebar == "left"){
	   get_sidebar();
	}?>
	<div class="col-md-8">
	<main id="primary" class="site-main">
	<h2 class ="latest-posts"><span><?php _e( 'Latest Posts', 'collon' ); ?></span></h2>

		<?php
		if ( have_posts() ) :
			
			if ( is_home() && ! is_front_page() ) :
				
				?>
				
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif;

			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );

			endwhile;

			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

	</main><!-- #main -->
	</div><!--col-md--8-->

<?php
	if($sidebar == "right"){
		get_sidebar();
	}
		?>
</div><!--row-->
</div><!--container-->

<?php
get_footer();



